%global upname RSyntaxTextArea

Name:           rsyntaxtextarea
Version:        3.1.3
Release:    1%{?dist}
Summary:        A syntax highlighting, code folding text editor for Java Swing applications

License:        BSD
URL:            https://github.com/bobbylight/%{upname}
Source0:        https://github.com/bobbylight/%{upname}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        pom.xml

BuildRequires:  java-devel
BuildRequires:  maven-local

Requires:       java-headless

Provides:       mvn(com.fifesoft:rsyntaxtextarea)
Provides:       osgi(com.fifesoft.rsyntaxtextarea)

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
%{upname} is a customizable, syntax highlighting text component for Java
Swing applications. Out of the box, it supports syntax highlighting for 40+
programming languages, code folding, search and replace, and has add-on
libraries for code completion and spell checking. Syntax highlighting for
additional languages can be added via tools such as JFlex.

%package        javadoc
Summary:        Javadoc for %{upname}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%autosetup -n %{upname}-%{version} -p1

find . -name "*.jar" -delete

pushd %{upname}
for file in src/main/dist/%{upname}.License.txt src/main/dist/readme.txt; do
    sed "s|\r||g" $file > $file.new && \
    touch -r $file $file.new && \
    mv $file.new $file
done
popd


%build
d=`mktemp -d`
f=`find %{upname}/src/main/java -type f | grep \.java$`
javac -d $d $f
cp -rv %{upname}/src/main/resources/* $d
l=`pwd`
pushd $d
jar -cf $l/%{name}.jar *
popd
%mvn_artifact %{SOURCE1} %{name}.jar

%install
%mvn_install




%files -f .mfiles
%license %{upname}/src/main/dist/%{upname}.License.txt
%doc %{upname}/src/main/dist/readme.txt
%{_datadir}/java/%{name}/%{name}.jar



%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.3-1
- initial build
